NullProjectionChangePolicy (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.policy
Class NullProjectionChangePolicy

    java.lang.Object
      com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
          com.bbn.openmap.layer.policy.NullProjectionChangePolicy

All Implemented Interfaces:
  ProjectionChangePolicy

    public class NullProjectionChangePolicy

extends AbstractProjectionChangePolicy

Dummy ProjectionChangePolicy, for those layers who prefer to ignore projection changes completely.

Field Summary

Fields inherited from class com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
`layer`

Constructor Summary
`NullProjectionChangePolicy()`

Method Summary
`void` | `projectionChanged(ProjectionEvent pe)` The method that is called when the projection changes.

Methods inherited from class com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
`getLayer, setLayer, workerComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullProjectionChangePolicy

    public NullProjectionChangePolicy()

Method Detail

### projectionChanged

    public void projectionChanged(ProjectionEvent pe)

  Description copied from interface: `ProjectionChangePolicy`
  The method that is called when the projection changes. The ProjectionChangePolicy should modify the OMGraphicList and do other functions as dictated by the policy, like starting threads to gather data and generating new OMGraphics for the layer.

  Parameters:
    `pe` - the ProjectionEvent received by the layer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details